Bug 470701 - bugzilla command > query subcommand > '-c/--component' option does not act as documented in man page
bugzilla command > query subcommand > '-c/--component' option does not act as...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 20:43 EST by Scott Doty
Modified: 2009-12-18 01:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:47:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Doty 2008-11-08 20:43:44 EST
example: bugzilla query -c policycoreutils should report all bugs regarding component:policycoreutils -- instead, it complains that it cannot read the file "policycoreutils".  In other words, "--component" function acts as "--component_file" is documented to act.
Comment 1 Jon Stanley 2008-11-08 20:57:59 EST
Well, I committed a patch upstream for this just now:

commit edd3774102d4ee056999ab7e7159bc8a1cfee542
Author: Jon Stanley <jonstanley@gmail.com>
Date:   Sat Nov 8 20:50:02 2008 -0500

    Ugly hack to make -c <component> work again

Basically what it does is wrap the components_file action into a try/except, so that instead of throwing an exception, we treat the argument that it was given as a list of components.

Why this is necessary I have no idea, however, it  wraps the components_file and components handling into one block of code, which is probably a good thing in the long run, IMHO
Comment 2 Bug Zapper 2008-11-26 00:04:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Will Woods 2009-04-14 11:54:03 EDT
Works with python-bugzilla-0.5.1-2.
Comment 4 Bug Zapper 2009-11-18 03:48:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:47:58 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.